<?php

	require_once '../includes/start.php';
	require_once '../includes/function.php';
	require_once '../includes/header1.php';
$fr=$_GET['f'];
$q = mysql_query("SELECT * FROM `fractions` WHERE `id`='".check(mysql_real_escape_string($fr))."'");
$f = mysql_fetch_array($q);
$ucount = mysql_result(mysql_query("SELECT COUNT(*) FROM `fractions_users` WHERE `uid`='".$use_id."' AND `fid`='".$f['id']."';"), 0);
$fadm = mysql_result(mysql_query("SELECT COUNT(*) FROM `fractions_users` WHERE `uid`='".$use_id."' AND `fid`='".$f['id']."' AND `adm`=1;"), 0);
	if($game==0 OR $level==0 OR $f['id']=='' OR $ban!=0){
  		echo "<title>Доступ закрыт!!!</title>";
	 	echo "<script type=\"text/javascript\">createPopup().show( 0, 0, 0, 0, 0 );</script>";
	 	echo "<body oncontextmenu=\"return false;\"><body onselectstart='return false' oncopy='return false'><body onselectstart=\"return false\" oncopy=\"return false\"><body onload=\"digitalWatch()\">";
		echo '<div class="blok3"><img src="/images/errors.png" width="200px"/></div><div class="blok3"><b>Вы не авторизованный или заблокированный пользователь или вы не достигли условий для доступа на страницу!!!</b><br/><a href="/?sign_in=1"><font color="#4EEE94"><b>Авторизуйтесь</font></a></b> или <a href="/reg.php"><font color="#4EEE94"><b>Зарегистрируйтесь</b></font></a></div>';
   }else{

if($f['id']!=''){
echo "<title>Альянс ".$f['name']."</title>";
echo "<script type=\"text/javascript\">createPopup().show( 0, 0, 0, 0, 0 );</script>";
echo "<body oncontextmenu=\"return false;\"><body onselectstart='return false' oncopy='return false'><body onselectstart=\"return false\" oncopy=\"return false\"><body onload=\"digitalWatch()\">";
echo '<div class="razd"></div>';
echo '<div class="top-nav1"><img src="../images/icon/all.png" width="30px" alt="" /> <b>Альянс</b> <font color="#4EEE94"><b>['.$f['name'].']</b></font></div>';
$s = mysql_query("SELECT * FROM `users` WHERE `id`='".$f['uid']."'");
$u = mysql_fetch_array($s);
echo '<div class="razd"></div>';
echo '<center><div class="blok2"><b>'.rasa($u['rasa']).' <a href="../p/anketa.php?id='.$u['id'].'"><span class="'.crasa($u['rasa']).'">'.$u['login'].'</b></span></a> - <font color="#4EEE94"><b>[Лидер]</b></font><br/><b>Создан <font color="#4EEE94">['.dates($f['time']).']</b></font></div></center>';
if($f['ava']!='')echo '<div class="conts"><img src="../images/gerb/'.$f['ava'].'" alt="ava" /></div>';
echo '<div class="razd"></div>';
echo '<center><div class="ch"><b>Уровень: <font color="#4EEE94">['.$f['lvl'].']</b></font></div></center>';
echo '<div class="razd"></div>';
if($f['opyt']>=($f['lvl']*25000) AND $fadm==1)echo '[<a href="up_lvl.php?f='.$f['id'].'">+</a>]';
echo '<center><div class="blok2"><b>Очки опыта: <font color="#4EEE94">['.$f['opyt'].']</font> ед.<br/>Для след. уровня: <font color="#4EEE94">['.($f['lvl']*25000).']</font> ед.</b></div></center><div class="razd"></div>';
echo '<center><div class="window"><b>Информация: <font color="#4EEE94">['.$f['about'].']</b></font></div></center>';
echo '<div class="razd"></div>';
echo '<div class="blok1"><img src="../images/icon/menu.png" alt="" /> <a href="users.php?f='.$f['id'].'"><b>Состав фракции</b></a> <font color="#4EEE94">['.$f['num'].'/'.$f['maxnum'].']</font></div>';
echo '<div class="razd"></div>';
echo '<div class="razd"></div>';
echo '<div class="blok1"><img src="../images/icon/menu.png" alt="" /> <a href="dipl.php?f='.$f['id'].'"><b>Дипломатические отношения</b></a></div>';
echo '<div class="razd"></div>';
if($ucount==1){
if($f['uid']!=$use_id)echo '<div class="blok1"><img src="../images/icon/menu.png" alt="" /> <a href="ok.php?act=off"><b>Покинуть фракцию</b></a></div>';
echo '<div class="razd"></div>';
echo '<div class="blok1"><img src="../images/icon/menu.png" alt="" /> <a href="hran.php?f='.$f['id'].'"><b>Хранилище ресурсов</b></a></div>';
echo '<div class="razd"></div>';
echo '<div class="razd"></div>';
$ntime = mysql_result(mysql_query("SELECT (time) FROM `fractions_news` WHERE `fid`='".$f['id']."' ORDER BY `id` DESC"), 0);
$nchat = mysql_result(mysql_query("SELECT COUNT(*) FROM `fractions_chat` WHERE `fid`='".$f['id']."'"), 0);
echo '<div class="blok1"><img src="../images/icon/menu.png" alt="" /> <a href="news.php?f='.$f['id'].'"><b>Новости</b></a> <font color="#4EEE94">['.dates($ntime).']</font></div>';
echo '<div class="razd"></div>';
echo '<div class="razd"></div>';
echo '<div class="blok1"><img src="../images/icon/menu.png" alt="" /> <a href="chat.php?f='.$f['id'].'"><b>Чат Альянса</b></a> <font color="#4EEE94">['.$nchat.']</font></div>';
echo '<div class="razd"></div>';
echo '<div class="razd"></div>';
echo '<div class="blok1"><img src="../images/icon/menu.png" alt="" /> <a href="mail.php?f='.$f['id'].'"><b>Рассылка сообщений</b></a></div>';
echo '<div class="razd"></div>';
echo '<div class="razd"></div>';
if($fadm==1)echo '<div class="blok1"><img src="../images/icon/menu.png" alt="" /> <a href="adm.php?f='.$f['id'].'"><b>Управление фракцией</b></a></div>';
}
}
}
	
	echo '<div class="razd"></div>';
	echo '<center><div class="blok2"><a href="../"><b>На Главную</b></a></div></center>';
	echo '<div class="razd"></div>';
	require_once '../includes/footer1.php';
?>